Avito Categories
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-avito-categories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.neuralverge.ai/functions/v1/run-avito-categories"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.neuralverge.ai/functions/v1/run-avito-categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "avito_categories",
"human": "# Avito categories\n\n- **Categories returned:** 77\n- **Proxy traffic:** 2.16 MB",
"machine": {
"total_items": 77,
"items": [
{
"@type": "AvitoCategory",
"id": "1",
"name": "Транспорт",
"alias": "transport",
"parent_id": null,
"level": 1,
"url": "https://www.avito.ru/all/transport",
"node_id": "25984",
"microcategory_id": "2"
},
{
"@type": "AvitoCategory",
"id": "9",
"name": "Автомобили",
"alias": "avtomobili",
"parent_id": "1",
"level": 2,
"url": "https://www.avito.ru/all/avtomobili",
"node_id": "25985",
"microcategory_id": "14"
}
],
"response_bytes": 2268767
},
"total_points": 5
}E-commerce & Marketplaces
Avito Categories
Get the Avito category tree: departments and sub-categories with id, name, alias (URL slug for the category filter), parent id, level and browse URL. 5 point per returned record.
POST
/
functions
/
v1
/
run-avito-categories
Avito Categories
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The body is of type object.